/* APB1Load1.sql */

/* Once the tables have been created and loaded, execute the following SQL */
/* this will create the dollar-cost variable in the tables */

update 
	actvars 
set 
	dollarcost = A.UnitsSold * (P.Value + S.Value)
from
	actvars A, StdProdCost P, StdShipCost S
where
	    A.time_level     = P.time_level
	and A.product_level  = P.product_level
	and P.scenario = 'Actual'
	and A.time_level     = S.time_level
	and A.customer_level = S.customer_level
	and S.scenario = 'Actual'
;

commit
;


update 
	planvars 
set 
	dollarcost = A.UnitsSold * (P.Value + S.Value)
from
	planvars A, StdProdCost P, StdShipCost S
where
	    A.time_level     = P.time_level
	and A.product_level  = P.product_level
	and P.scenario = 'Budget'
	and A.time_level     = S.time_level
	and A.customer_level = S.customer_level
	and S.scenario = 'Budget'
;

commit
;

/* end of SQL */

