/* Q4 Template (4 parts) */
/* Note that the tmprolling table must be populated correctly first! */

/* 1 of 4 */

select
	prodlevel.$PROD_CHILD_LEVEL_FNAME,
	custlevel.$CUST_GIVEN_LEVEL_FNAME,
	chanlevel.base_level,
	timelevel.$TIME_CHILD_LEVEL_FNAME,
	sum (a.dollarsales) as DollarSales
from
	actvars a, prodlevel, custlevel, timelevel, chanlevel
where
	    a.product_level = prodlevel.code_level
	and a.time_level = timelevel.Month_level
	and a.customer_level = custlevel.store_level
	and a.channel_level = chanlevel.base_level
	and prodlevel.$PROD_CHILD_LEVEL_FNAME in (
		select member_name from prodtree where parent_name = '$PRODMEMBER'
	)
	and custlevel.$CUST_GIVEN_LEVEL_FNAME = '$CUSTMEMBER'
	and timelevel.$TIME_CHILD_LEVEL_FNAME in (
		select member_name from timetree where parent_name = '$TIMEMEMBER'
	)
group by
	prodlevel.$PROD_CHILD_LEVEL_FNAME,
	custlevel.$CUST_GIVEN_LEVEL_FNAME,
	chanlevel.base_level,
	timelevel.$TIME_CHILD_LEVEL_FNAME
order by
	prodlevel.$PROD_CHILD_LEVEL_FNAME,
	custlevel.$CUST_GIVEN_LEVEL_FNAME,
	chanlevel.base_level,
	timelevel.$TIME_CHILD_LEVEL_FNAME
;

/* ------ */
/* 2 of 4 */

select
	prodlevel.$PROD_CHILD_LEVEL_FNAME,
	custlevel.$CUST_GIVEN_LEVEL_FNAME,
	'Channel Top',
	timelevel.$TIME_CHILD_LEVEL_FNAME,
	sum (a.dollarsales)  As DollarSales
from
	actvars a, prodlevel, custlevel, timelevel
where
	    a.product_level = prodlevel.code_level
	and a.time_level = timelevel.Month_level
	and a.customer_level = custlevel.store_level
	and prodlevel.$PROD_CHILD_LEVEL_FNAME in (
		select member_name from prodtree where parent_name = '$PRODMEMBER'
	)
	and custlevel.$CUST_GIVEN_LEVEL_FNAME = '$CUSTMEMBER'
	and timelevel.$TIME_CHILD_LEVEL_FNAME in (
		select member_name from timetree where parent_name = '$TIMEMEMBER'
	)
group by
	prodlevel.$PROD_CHILD_LEVEL_FNAME,
	custlevel.$CUST_GIVEN_LEVEL_FNAME,
	timelevel.$TIME_CHILD_LEVEL_FNAME
order by
	prodlevel.$PROD_CHILD_LEVEL_FNAME,
	custlevel.$CUST_GIVEN_LEVEL_FNAME,
	timelevel.$TIME_CHILD_LEVEL_FNAME
;


/* ------ */
/* 3 of 4 */

select
	prodlevel.$PROD_CHILD_LEVEL_FNAME,
	custlevel.$CUST_GIVEN_LEVEL_FNAME,
	chanlevel.base_level,
	timelevel.$TIME_CHILD_LEVEL_FNAME,
	sum (a.dollarsales) AS DollarSales
from
	tmprolling a, prodlevel, custlevel, timelevel, chanlevel
where
	    a.product_level = prodlevel.code_level
	and a.time_level = timelevel.Month_level
	and a.customer_level = custlevel.store_level
	and a.channel_level = chanlevel.base_level
	and prodlevel.$PROD_CHILD_LEVEL_FNAME in (
		select member_name from prodtree where parent_name = '$PRODMEMBER'
	)
	and custlevel.$CUST_GIVEN_LEVEL_FNAME = '$CUSTMEMBER'
	and timelevel.$TIME_CHILD_LEVEL_FNAME in (
		select member_name from timetree where parent_name = '$TIMEMEMBER'
	)
group by
	prodlevel.$PROD_CHILD_LEVEL_FNAME,
	custlevel.$CUST_GIVEN_LEVEL_FNAME,
	chanlevel.base_level,
	timelevel.$TIME_CHILD_LEVEL_FNAME
order by
	prodlevel.$PROD_CHILD_LEVEL_FNAME,
	custlevel.$CUST_GIVEN_LEVEL_FNAME,
	chanlevel.base_level,
	timelevel.$TIME_CHILD_LEVEL_FNAME
;

/* -------*/
/* 4 of 4 */


select
	prodlevel.$PROD_CHILD_LEVEL_FNAME,
	custlevel.$CUST_GIVEN_LEVEL_FNAME,
	'Channel Top',
	timelevel.$TIME_CHILD_LEVEL_FNAME,
	sum (a.dollarsales)

from
	actvars a, prodlevel, custlevel, timelevel
where
	    a.product_level = prodlevel.code_level
	and a.time_level = timelevel.Month_level
	and a.customer_level = custlevel.store_level
	and prodlevel.$PROD_CHILD_LEVEL_FNAME in (
		select member_name from prodtree where parent_name = '$PRODMEMBER'
	)
	and custlevel.$CUST_GIVEN_LEVEL_FNAME = '$CUSTMEMBER'
	and timelevel.$TIME_CHILD_LEVEL_FNAME in (
		select member_name from timetree where parent_name = '$TIMEMEMBER'
	)
group by
	prodlevel.$PROD_CHILD_LEVEL_FNAME,
	custlevel.$CUST_GIVEN_LEVEL_FNAME,
	timelevel.$TIME_CHILD_LEVEL_FNAME
order by
	prodlevel.$PROD_CHILD_LEVEL_FNAME,
	custlevel.$CUST_GIVEN_LEVEL_FNAME,
	timelevel.$TIME_CHILD_LEVEL_FNAME
;




/* end of SQL */
